Bug 97752 - crash when applying changes
Summary: crash when applying changes
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: redhat-config-network (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-20 12:13 UTC by Bastien Nocera
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-03 20:57:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bastien Nocera 2003-06-20 12:13:09 UTC
This is the backtrace we get when applying the changes in redhat-config-network
on RHEL AS 2.1.

Traceback (innermost last):
  File "/usr/sbin/neat", line 1210, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 392, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 271, in save
    self.saveHardware()
  File "/usr/sbin/neat", line 283, in saveHardware
    hardwarelist.save()
  File "/usr/sbin/../share/redhat-config-
network/netconfpkg/NCHardwareList.py", line 276, in save
    modules.write()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 
981, in write
    self[key] = self.vars[key]
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 
936, in __setitem__
    replace = key + ' ' + varname + ' ' + endofline
TypeError: illegal argument type for built-in operation

Local variables in innermost frame:
endofline: None
value: {'alias': None}
self: 
varname: eth1
missing: 1
key: alias
place: 0
findexp: [	 ]*alias[	 ]+eth1[	 ]+

Comment 2 nick mann 2003-06-25 10:15:48 UTC
The version selected should be AS 2.1 (not Q3 Errata Beta as shown).



Comment 3 Harald Hoyer 2003-06-25 10:20:42 UTC
which version of r-c-n? 
redhat-config-network-1.0.4-0.AS21.1 is the latest erratum

Comment 5 Bastien Nocera 2003-07-03 20:57:52 UTC
Fixed with the update


Note You need to log in before you can comment on or make changes to this bug.